---
title: LA
layout: layouts/base_subject.njk
eleventyNavigation:
  key: LA
  order: 6
---

<h2 id="3ahel">3AHEL (s2022)</h2>

<h3 id="grading">Grading Schema for Lab Reports</h3>
<pre class="grading">
cover sheet                5/  5
table of contents          5/  5
equipment list             5/  5
description of goal(s)    10/ 10
required calculation(s)   20/ 20
circuit diagram(s)        20/ 20
data table(s) & chart(s)  20/ 20
findings and conclusion   10/ 10
overall impression         5/  5
total                    100/100
</pre>

<h3 id="micropython">Programming Microcontrollers with MicroPython</h3>
<p>The task for today's lab is to create a
  <a href="/exercises/lab/exercise_pedestrian_crossing/">pedestrian
  crossing</a>.
</p>

<p>
  Install an up to date version of Python 3 and the <code>thonny</code>
  package on your computer. To do so, follow the instructions at
  <a href="http://docs.find-santa.eu/python/installation.html">Installing
  Python</a>. This must be completed before the lab session.
  The lab computers can be used, but I strongly encourage you bring at least
  one laptop computer per group (although two computers per group will be
  better).
</p>

<p>During the lab session, it is your duty to create a traffic light for a
  puffin ("pedestrian user-friendly intelligent") crossing. To be able to
  complete the task, please make sure to have enough understanding of
  Python by working through
  <a href="https://docs.python.org/3/tutorial/introduction.html">
  an informal introduction to Python</a> and
  <a href="https://docs.python.org/3/tutorial/controlflow.html">
  more control flow tools</a> before your lab session.
  </p>

<p>We'll be using the Raspberry Pi Pico microcontroller in the lab, but if you
  own any other Micropython compatible controller, please bring it and we'll
  try to make that work instead.
  If you don't own a MicroPython compatible device and still want to practice
  at home, you can use the
  <a href="https://wokwi.com/arduino/new?template=micropython-pi-pico">Wokwi
    RP Pico simulator</a>.
</p>

<p>The source code created for or in this class is available at
  <a href="https://gitlab.com/senarclens/micropython-examples/">
    https://gitlab.com/senarclens/micropython-examples/</a> or via<br />
<code>git clone git@gitlab.com:senarclens/micropython-examples.git</code></p>

<h4>Downloads</h4>
<ul>
  <li>
    <a href="https://datasheets.raspberrypi.com/pico/Pico-R3-A4-Pinout.pdf">
    Pico-R3-A4-Pinout.pdf</a></li>
  <li>
    <a href="https://hackspace.raspberrypi.org/books/micropython-pico/pdf/download">
    Get Started with MicroPython on Raspberry Pi Pico</a></li>
</ul>

<h3 id="latex">Creating Lab Reports with LaTeX</h3>

<h4>Resources</h4>
<ul>
  <li><a href="https://www.overleaf.com/learn/latex/LaTeX_Graphics_using_TikZ%3A_A_Tutorial_for_Beginners_(Part_4)%E2%80%94Circuit_Diagr
ams_Using_Circuitikz">Tutorial: Circuit Diagrams Using Circuitikz</a></li>
  <li><a href="https://www.overleaf.com/learn/latex/CircuiTikz_package">CircuiTikz documentation</a></li>
  <li><a href="https://texdoc.org/serve/circuitikz/0">CircuiTikz Documentation (pdf)</a></li>
  <li><a href="https://latexdraw.com/plot-a-function-and-data-in-latex/">How to Plot a Function and Data in LaTeX</a></li>
  <li><a href="https://www.overleaf.com/learn/latex/Pgfplots_package">Pgfplots package</a></li>
</ul>


<h4>Downloads</h4>
<ul>
  <li><a href="/data/latex/lab_report_template.tex">Template Report (German)</a></li>
  <li><a href="https://mirror.ctan.org/systems/texlive/tlnet/install-tl-windows.exe">TeX Live Installer</a> (either do a complete installation or install the small scheme and add the graphics, sciences and German language collections; in the latter case you'll have to install <code>latexmk</code> and <code>xstring</code> via Tex Live Manager after the installation)</li>
  <li><a href="https://github.com/VSCodium/vscodium/releases">VSCodium</a> + LaTeX Workshop extension</li>
  {# <li><a href="https://www.sumatrapdfreader.org/download-free-pdf-viewer">Sumatra PDF Viewer</a></li> #}
</ul>

<h3 id="diodes">Diode Characteristics and Rectifiers</h3>
<p><a href="/presentations/electronics/diode_characteristics_and_rectifiers/">Diode characteristics and rectifiers</a></p>

<h4 id="diode_characteristic">Diode Characteristic Lab</h4>
<p>
  Each team selects a Schottky diode and an LED. For each of these, the
  characteristic should be recorded. Start by researching the corresponding
  datasheets and determine a reasonable series resistance and input voltage
  range. When recording the characteristic in forward direction, make sure that
  to measure the correct voltage. When recording it in reverse direction, the
  current should be measured correctly as there will be very little current
  given the high resistance of the diode.
  In addition, record the characteristic in reverse direction while measuring
  the correct voltage and explain whether or not the current through the
  voltmeter has a noticable negative impact on the quality of the
  characteristic.
</p>
<p>
  Finally, when recording the characteristic of the Schottky diode,
  increase its temperature and explain the observed effect.
</p>

<h2 id="audio">Audio (s2022)</h2>

<h3 id="audiosoftware">Software</h3>
<p>Install an up to date version of Python 3 and the <code>pip</code>
  (recursive acrynym for "pip installs python") package manager for
  Python code. To do so, follow the instructions at
  <a href="http://docs.find-santa.eu/python/installation.html">Installing
  Python</a>.
</p>

<p>Once they are installed, download the required Python packages</p>
{% highlight "bash" %}
pip install --user --upgrade numpy ipywidgets jupyterlab matplotlib pandas seaborn scipy
{% endhighlight %}
<p>Once everything is installed, we'll go over a brief introduction to
  <a href="/data/py/data_analysis.ipynb">numpy</a> (only the numpy part)
  and the code of the first chapter of
  Allen Downey's book "ThinkDSP":
  <a href="https://raw.githubusercontent.com/AllenDowney/ThinkDSP/master/code/chap01.ipynb">Sounds and Signals</a>.
</p>
<p>For those who do not have a working setup, it is possible to run the
  examples via Google's colab:
  <a href="https://colab.research.google.com/github/AllenDowney/ThinkDSP/blob/master/code/chap01.ipynb">Sounds and Signals</a>.
</p>

<h3 id="project_grading_schema">Grading Schema</h3>
<p>In accordance with the Austrian
  <a href="https://www.ris.bka.gv.at/GeltendeFassung.wxe?Abfrage=Bundesnormen&Gesetzesnummer=10009375">
  LBVO</a> your project will be graded using the following criteria
</p>
<dl>
  <dt>1</dt>
  <dd>The project uses more than the demonstrated core libraries (numpy and
    thinkdsp) and functions. It implements own, independent code. The team
    worked independently, and the project demonstrates deep understanding of
    the employed programming language, libraries and the subject matter.
    The project description is written in clear, easy to understand language.
    The project outline is ambitious yet realistic.</dd>
  <dt>2</dt>
  <dd>The project uses more than the demonstrated functions and implements
    own, independent code. Eventual problems were solved mostly by the team.
    The project demonstrates reasonable understanding of the employed
    programming language, libraries and the subject matter.
    The project description is written in clear language. The outline is
    non-trivial and realistic.
  </dd>
  <dt>3</dt>
  <dd>The project demonstrates own, independent code. The team required only
    limited assistance. The project demonstrates at least basic understanding
    of the employed programming language, libraries and the subject matter.
    The project description is written in clear language. The outline is
    non-trivial and realistic.
  </dd>
  <dt>4</dt>
  <dd>The project uses the demonstrated functionality. The team may have
    required significant assistance. The project demonstrates at least some
    understanding of the employed programming language, libraries and the
    subject matter. At least a minimalistic project description and outline
    are presented.
  </dd>
  <dt>5</dt>
  <dd>If any of the minimum requirements outlined for grade 4 are not
    fulfilled.
  </dd>
</dl>

<p>If parts of a project or its entirety have been plagiarised, the project
  will receive a negative grade. Each student will have to clearly
  demonstrate their contribution to the project.
</p>
